package com.kdanmobile.reader.thumb.mode

import android.app.Activity
import android.app.Activity.RESULT_OK
import android.content.Intent
import com.kdanmobile.reader.thumb.PdfThumbAdapter

class NormalMode: Mode() {
    override fun onClickToolBarNavigation() {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun updateToolbar() {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun onPageItemClick(activity: Activity, pageIndex: Int, operate: Int,selectMap: MutableMap<Int,Boolean>, pdfThumbAdapter: PdfThumbAdapter) {
        val data = Intent()
        data.putExtra("result", pageIndex)
        data.putExtra("operate", operate)
        activity.setResult(RESULT_OK, data)
        activity.finish()
    }
}